terminology = OpenEHR::Terminology::OpenEHRTerminology.new

terminology.languages.each do |lang|
  Language.create!(:code => lang['code'], :description => lang['Description'])
end

terminology.territories.each do |territory|
  Territory.create!(:text => territory['Text'],
                    :three_letter => territory['ThreeLetter'],
                    :numeric_code => territory['NumericCode'],
                    :two_letter => territory['TwoLetter'])
end

terminology.terminology_identifiers do |ti|
  TerminologyIdentifier.create!(:vsab => ti['VSAB'],
                                :authority => ti['Authority'],
                                :source_name => ti['SouceName'])
end
